package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAccountLog对象", description="账户流水")
public class TaAccountLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "流水ID")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "日期ID")
    private String dailyId;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer charges;

    @ApiModelProperty(value = "手续费;单位分")
    private Integer poundage;

    @ApiModelProperty(value = "支付类型;1收入,-1支出")
    private Integer chargeType;

    @ApiModelProperty(value = "状态;0未对账,1对账")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;
}
