package com.njyunzhi.pet_identity.entity;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.njyunzhi.pet_identity.common.excelConverter.WxStringConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TaWxBillList对象", description="微信账单")
@ExcelIgnoreUnannotated
public class TaWxBillList {

    @ApiModelProperty(value = "交易时间")
    @ExcelProperty(index = 0, converter = WxStringConverter.class)
    private String tradeTime;

    @ApiModelProperty(value = "公众账号ID")
    @ExcelProperty(index = 1, converter = WxStringConverter.class)
    private String appId;

    @ApiModelProperty(value = "商户号")
    @ExcelProperty(index = 2, converter = WxStringConverter.class)
    private String mchId;

    @ApiModelProperty(value = "特约商户号")
    @ExcelProperty(index = 3, converter = WxStringConverter.class)
    private String subMchId;

    @ApiModelProperty(value = "设备号")
    @ExcelProperty(index = 4, converter = WxStringConverter.class)
    private String deviceInfo;

    @ApiModelProperty(value = "微信订单号")
    @TableId(value = "transaction_id", type = IdType.INPUT)
    @ExcelProperty(index = 5, converter = WxStringConverter.class)
    private String transactionId;

    @ApiModelProperty(value = "商户订单号")
    @ExcelProperty(index = 6, converter = WxStringConverter.class)
    private String outTradeNo;

    @ApiModelProperty(value = "用户标识")
    @ExcelProperty(index = 7, converter = WxStringConverter.class)
    private String openId;

    @ApiModelProperty(value = "交易类型")
    @ExcelProperty(index = 8, converter = WxStringConverter.class)
    private String tradeType;

    @ApiModelProperty(value = "交易状态")
    @ExcelProperty(index = 9, converter = WxStringConverter.class)
    private String tradeState;

    @ApiModelProperty(value = "付款银行")
    @ExcelProperty(index = 10, converter = WxStringConverter.class)
    private String bankType;

    @ApiModelProperty(value = "货币种类")
    @ExcelProperty(index = 11, converter = WxStringConverter.class)
    private String feeType;

    @ApiModelProperty(value = "应结订单金额")
    @ExcelProperty(index = 12, converter = WxStringConverter.class)
    private String totalFee;

    @ApiModelProperty(value = "代金券金额")
    @ExcelProperty(index = 13, converter = WxStringConverter.class)
    private String couponFee;

    @ApiModelProperty(value = "微信退款单号")
    @ExcelProperty(index = 14, converter = WxStringConverter.class)
    private String refundId;

    @ApiModelProperty(value = "商户退款单号")
    @ExcelProperty(index = 15, converter = WxStringConverter.class)
    private String outRefundNo;

    @ApiModelProperty(value = "退款金额")
    @ExcelProperty(index = 16, converter = WxStringConverter.class)
    private String settlementRefundFee;

    @ApiModelProperty(value = "充值券退款金额")
    @ExcelProperty(index = 17, converter = WxStringConverter.class)
    private String couponRefundFee;

    @ApiModelProperty(value = "退款类型")
    @ExcelProperty(index = 18, converter = WxStringConverter.class)
    private String refundChannel;

    @ApiModelProperty(value = "退款状态")
    @ExcelProperty(index = 19, converter = WxStringConverter.class)
    private String refundState;

    @ApiModelProperty(value = "商品名称")
    @ExcelProperty(index = 20, converter = WxStringConverter.class)
    private String body;

    @ApiModelProperty(value = "商户数据包")
    @ExcelProperty(index = 21, converter = WxStringConverter.class)
    private String attach;

    @ApiModelProperty(value = "手续费")
    @ExcelProperty(index = 22, converter = WxStringConverter.class)
    private String poundage;

    @ApiModelProperty(value = "费率")
    @ExcelProperty(index = 23, converter = WxStringConverter.class)
    private String poundageRate;

    @ApiModelProperty(value = "订单金额")
    @ExcelProperty(index = 24, converter = WxStringConverter.class)
    private String totalAmount;

    @ApiModelProperty(value = "申请退款金额")
    @ExcelProperty(index = 25, converter = WxStringConverter.class)
    private String appliedRefundAmount;

    @ApiModelProperty(value = "费率备注")
    @ExcelProperty(index = 26, converter = WxStringConverter.class)
    private String feeRemark;

//    @ExcelProperty(index = 27)
//    private String refundTime;
//
//    @ExcelProperty(index = 28)
//    private String refundSuccessTime;
}
