package com.njyunzhi.pet_identity.job;

import com.njyunzhi.pet_identity.common.DateUtils;
import com.njyunzhi.pet_identity.common.WxPayUtils;
import com.njyunzhi.pet_identity.service.ITaAccountLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.time.LocalDateTime;

/**
 * 对账
 */
@Configuration
@EnableScheduling
public class Reconciliation {
    @Autowired
    ITaAccountLogService iTaAccountLogService;

    /**
     * 微信对账, 官方建议在每天的 10 点之后
     */
    @Scheduled(cron = "0 0 11 * * ?")
    public void daily() {
        try {
            String yestoday = DateUtils.toString(LocalDateTime.now().minusDays(1), "yyyy-MM-dd");
            iTaAccountLogService.reconciliation(yestoday);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 月度对账, 每月2号14点
     */
    @Scheduled(cron = "0 0 14 2 * ?")
    public void monthly() {
        try {
            String lastMonth = DateUtils.toString(LocalDateTime.now().minusMonths(1), "yyyy-MM");
            iTaAccountLogService.reconcileMonthly(lastMonth, false);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
